Skip to content
noxstock
API referenceEndpointsSEC filings

Get filing section text

GET/v2/filings/{accession}/section/{name}

Fetch full text for a supported filing section such as risk_factors, mda, business, controls_and_procedures, or press_release.

Access: Starter and Builder.

Authorization

ApiKeyAuth
X-API-Key<token>

noxstock API key from the dashboard.

In: header

Path Parameters

accession*Accession
name*Name

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/filings/string/section/string"
{
  "data": {
    "accession": "string",
    "as_of": "string",
    "available": true,
    "cache_age_seconds": 0,
    "char_count": 0,
    "form": "string",
    "freshness": "intraday",
    "market_status": "open",
    "section": "string",
    "symbol": "string",
    "symbol_status": {
      "resolved": true
    },
    "text": "string"
  }
}
Empty
Empty
{
  "detail": [
    {
      "ctx": {},
      "input": null,
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
Empty
Empty